* {
    box-sizing: border-box;
}

*, *:before, *:after {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}


/* slider styles */

 .slider {
    width: 100%;
    height: 350px;
    background-image: url('images/rambla-montevideo.jpg');
    background-size: cover;
}

 /* Styles for main container - and colums */

.main-container {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap; 
}

.colum {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    max-width: 100%;
    margin-top: 20px;
    text-align: center;
}

.home-event {
    background-color: #fdc141;
    width: 80%;
    max-width: 350px;
    height: 300px;
    margin-bottom: 20px;
    border-radius: 5px;
}

.featured-title {
    font-size: 16px;
    padding-top: 10px;
}

.featured-image {
    width: 100%;
    height: 75%;
}

.main-event-title {
    margin: 0px;
    padding-top: 3px;
}

.home-button {
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    background-color: #fdc141;
    width: 80%;
    max-width: 350px;
    height: 70px;
}

.button-icon {
    width: 50px;
    height: 50px;
    margin-left: 10px;
}

.button-title {
    font-size: 14px;
    width: 350px;
    margin: 0px;
    padding: 0px;
}

.main-event-title {
    font-size: 14px;
}

/* right colum styles */

.newsletter {
    background-color: #fdc141; 
    width: 80%;
    max-width: 350px;
    height: 200px;
    text-align: center;
    margin-bottom: 10px;
}

.newsletter-form {
    background-color: #fdc141; 
}

.ad {
    background-color: #fdc141;
    width: 80%; 
    max-width: 350px;
    height: 350px;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    justify-content: center;   
}

.ad-image {
    width: 90%;
    height: 90%;
}

/* separator */

.separator {
    width: 100px;
    height: 4px;
    margin: 0px auto;
    background-color: orange;
    margin-top: 20px;

}

/* blog styles */

#blog-main-title {
    text-align: center;
    margin-top: 20px;
}

.blog-contain {
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
    width: 80%; 
    margin-left: 10%;
    margin-bottom: 20px;
}

.blog-preview {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    background:  #fdc1418e; 
    margin-top: 20px;
    width: 350px;
    height: 250px;
    margin-bottom: 50px;
}

.blog-preview h1 {
    font-size: 16px;
}

.real-img-prev {
    width: 100%;
    height: 200px;
}

/* footer */

.footer-div {
    background-color: #fdc141; 
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.footer-title {
    padding-left: 20px;
    margin: 5px;
    width: 50%;
}

.footer-title h3 {
    font-size: 20px;
    margin-bottom: 0px;
}

.footer-title p {
    margin-bottom: 0px; 
}

.redes-footer {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    padding-right: 20px;
}

.redes-footer p {
    margin: 0px;
}

.social-icon {
    width: 40px;
    height: 40px;
    padding: 5px;
}



/* Media Queries */

@media (min-width: 698px) {

    .home-button {
        margin: 0px 20%;
    }

   
}

@media (min-width: 991px) {

    .main-container {
        display: flex;
        flex-wrap: nowrap;
        flex-direction: row;
    }

    .home-button {
        margin: 0px;
    }

    .ad {
        margin: 0px 0px 20px 0px;
    }

    .newsletter {
        margin: 0px;
    }

    .colum-1,
    .colum-2 {
        align-content: flex-start 
    }

    /*  This gives the right order to the columns in desktop */
    .colum-1 { order: 1; }
    .colum-2 { order: 2; }
    .colum-3 { order: 3; }

}






